Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/04/2020 in all areas

  1. Or even simpler - (menucmd "m=$(edtime,0,hh:mm:ss)")
    1 point
  2. You right-click on the link at Lee Mac's site and save to your PC in a folder that AutoCAD can access. http://lee-mac.com/lisp/PolyInfoV1-3.lsp
    1 point
  3. You may want to try the "vpmax" command. Enter command, pick viewport, and that viewport becomes maximized. You can zoom, pan, orbit, or whatever to change what you're looking at, and when you enter "pspace" to exit, your viewport goes back to its original orientation.
    1 point
  4. Using DATAEXTRACTION it may be possible to extract the information you are seeking. Each block within the dynamic block will need to be setup with attributes. DATAEXTRACTION should then be able to extract the data from the attributes. I have had some success using this method. DATAEXTRACTION is only available with the full version of AutoCAD. AutoCAD LT does not support this feature.
    1 point
  5. Try this dude: (defun c:cPoly (/ ent1 ent2 i len pt p1 ptlst) (vl-load-com) (if (and (setq ent1 (car (entsel "\nSelect First Polyline: "))) (wcmatch (cdr (assoc 0 (entget ent1))) "*POLYLINE")) (if (and (setq ent2 (car (entsel "\nSelect Second Polyline: "))) (wcmatch (cdr (assoc 0 (entget ent2))) "*POLYLINE")) (progn (setq i -1 len (/ (vla-get-Length (vlax-ename->vla-object ent1)) 100.)) (while (setq pt (vlax-curve-getPointatDist ent1 (* (setq i (1+ i)) len))) (setq p1 (vlax-curve-getClosestPointto ent2 pt t) ptlst (cons (polar pt (angle pt p1) (/ (distance pt p1) 2.)) ptlst))) (setq ptlst (apply 'append (mapcar (function (lambda (x) (list (car x) (cadr x)))) ptlst))) (vla-AddLightWeightPolyline (vla-get-ModelSpace (vla-get-ActiveDocument (vlax-get-acad-object))) (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-VBDouble (cons 0 (1- (length ptlst)))) ptlst)))))) (princ))
    1 point
×
×
  • Create New...